Permalink
Browse files

version bump to 0.4.0

  • Loading branch information...
rsim committed Dec 3, 2012
1 parent 40328c6 commit c90b048d45b09269dcae9dc7bd43fe3e6e37559f
Showing with 35 additions and 41 deletions.
  1. +1 −1 VERSION
  2. +34 −40 mondrian-olap.gemspec
View
@@ -1 +1 @@
-0.3.0
+0.4.0
View
@@ -4,16 +4,15 @@
# -*- encoding: utf-8 -*-
Gem::Specification.new do |s|
- s.name = %q{mondrian-olap}
- s.version = "0.3.0"
- s.platform = %q{java}
+ s.name = "mondrian-olap"
+ s.version = "0.4.0"
+ s.platform = "java"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
- s.authors = [%q{Raimonds Simanovskis}]
- s.date = %q{2012-01-12}
- s.description = %q{JRuby gem for performing multidimensional queries of relational database data using Mondrian OLAP Java library
-}
- s.email = %q{raimonds.simanovskis@gmail.com}
+ s.authors = ["Raimonds Simanovskis"]
+ s.date = "2012-12-03"
+ s.description = "JRuby gem for performing multidimensional queries of relational database data using Mondrian OLAP Java library\n"
+ s.email = "raimonds.simanovskis@gmail.com"
s.extra_rdoc_files = [
"README.md"
]
@@ -45,12 +44,14 @@ Gem::Specification.new do |s|
"lib/mondrian/olap.rb",
"lib/mondrian/olap/connection.rb",
"lib/mondrian/olap/cube.rb",
+ "lib/mondrian/olap/error.rb",
"lib/mondrian/olap/query.rb",
"lib/mondrian/olap/result.rb",
"lib/mondrian/olap/schema.rb",
"lib/mondrian/olap/schema_element.rb",
"lib/mondrian/olap/schema_udf.rb",
"mondrian-olap.gemspec",
+ "spec/connection_role_spec.rb",
"spec/connection_spec.rb",
"spec/cube_spec.rb",
"spec/fixtures/MondrianTest.xml",
@@ -62,73 +63,66 @@ Gem::Specification.new do |s|
"spec/spec_helper.rb",
"spec/support/matchers/be_like.rb"
]
- s.homepage = %q{http://github.com/rsim/mondrian-olap}
- s.require_paths = [%q{lib}]
- s.rubygems_version = %q{1.8.9}
- s.summary = %q{JRuby API for Mondrian OLAP Java library}
- s.test_files = [
- "spec/connection_spec.rb",
- "spec/cube_spec.rb",
- "spec/mondrian_spec.rb",
- "spec/query_spec.rb",
- "spec/rake_tasks.rb",
- "spec/schema_definition_spec.rb",
- "spec/spec_helper.rb",
- "spec/support/matchers/be_like.rb"
- ]
+ s.homepage = "http://github.com/rsim/mondrian-olap"
+ s.require_paths = ["lib"]
+ s.rubygems_version = "1.8.24"
+ s.summary = "JRuby API for Mondrian OLAP Java library"
if s.respond_to? :specification_version then
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
s.add_runtime_dependency(%q<nokogiri>, ["~> 1.5.0"])
s.add_development_dependency(%q<jruby-openssl>, [">= 0"])
- s.add_development_dependency(%q<jeweler>, ["~> 1.5.2"])
+ s.add_development_dependency(%q<jeweler>, ["~> 1.8.3"])
s.add_development_dependency(%q<rdoc>, [">= 0"])
- s.add_development_dependency(%q<rspec>, ["~> 2.5"])
+ s.add_development_dependency(%q<rspec>, ["~> 2.10"])
s.add_development_dependency(%q<autotest>, [">= 0"])
s.add_development_dependency(%q<jdbc-mysql>, [">= 0"])
s.add_development_dependency(%q<jdbc-postgres>, [">= 0"])
s.add_development_dependency(%q<jdbc-luciddb>, [">= 0"])
s.add_development_dependency(%q<jdbc-jtds>, [">= 0"])
- s.add_development_dependency(%q<activerecord>, ["= 3.0.10"])
- s.add_development_dependency(%q<activerecord-jdbc-adapter>, ["= 1.1.1"])
+ s.add_development_dependency(%q<activerecord>, ["= 3.2.8"])
+ s.add_development_dependency(%q<activerecord-jdbc-adapter>, ["= 1.2.2"])
s.add_development_dependency(%q<activerecord-oracle_enhanced-adapter>, [">= 0"])
- s.add_development_dependency(%q<coffee-script>, [">= 0"])
- s.add_development_dependency(%q<therubyrhino>, [">= 0"])
+ s.add_development_dependency(%q<coffee-script>, ["~> 2.2.0"])
+ s.add_development_dependency(%q<therubyrhino>, ["~> 1.73.1"])
+ s.add_development_dependency(%q<pry>, [">= 0"])
else
s.add_dependency(%q<nokogiri>, ["~> 1.5.0"])
s.add_dependency(%q<jruby-openssl>, [">= 0"])
- s.add_dependency(%q<jeweler>, ["~> 1.5.2"])
+ s.add_dependency(%q<jeweler>, ["~> 1.8.3"])
s.add_dependency(%q<rdoc>, [">= 0"])
- s.add_dependency(%q<rspec>, ["~> 2.5"])
+ s.add_dependency(%q<rspec>, ["~> 2.10"])
s.add_dependency(%q<autotest>, [">= 0"])
s.add_dependency(%q<jdbc-mysql>, [">= 0"])
s.add_dependency(%q<jdbc-postgres>, [">= 0"])
s.add_dependency(%q<jdbc-luciddb>, [">= 0"])
s.add_dependency(%q<jdbc-jtds>, [">= 0"])
- s.add_dependency(%q<activerecord>, ["= 3.0.10"])
- s.add_dependency(%q<activerecord-jdbc-adapter>, ["= 1.1.1"])
+ s.add_dependency(%q<activerecord>, ["= 3.2.8"])
+ s.add_dependency(%q<activerecord-jdbc-adapter>, ["= 1.2.2"])
s.add_dependency(%q<activerecord-oracle_enhanced-adapter>, [">= 0"])
- s.add_dependency(%q<coffee-script>, [">= 0"])
- s.add_dependency(%q<therubyrhino>, [">= 0"])
+ s.add_dependency(%q<coffee-script>, ["~> 2.2.0"])
+ s.add_dependency(%q<therubyrhino>, ["~> 1.73.1"])
+ s.add_dependency(%q<pry>, [">= 0"])
end
else
s.add_dependency(%q<nokogiri>, ["~> 1.5.0"])
s.add_dependency(%q<jruby-openssl>, [">= 0"])
- s.add_dependency(%q<jeweler>, ["~> 1.5.2"])
+ s.add_dependency(%q<jeweler>, ["~> 1.8.3"])
s.add_dependency(%q<rdoc>, [">= 0"])
- s.add_dependency(%q<rspec>, ["~> 2.5"])
+ s.add_dependency(%q<rspec>, ["~> 2.10"])
s.add_dependency(%q<autotest>, [">= 0"])
s.add_dependency(%q<jdbc-mysql>, [">= 0"])
s.add_dependency(%q<jdbc-postgres>, [">= 0"])
s.add_dependency(%q<jdbc-luciddb>, [">= 0"])
s.add_dependency(%q<jdbc-jtds>, [">= 0"])
- s.add_dependency(%q<activerecord>, ["= 3.0.10"])
- s.add_dependency(%q<activerecord-jdbc-adapter>, ["= 1.1.1"])
+ s.add_dependency(%q<activerecord>, ["= 3.2.8"])
+ s.add_dependency(%q<activerecord-jdbc-adapter>, ["= 1.2.2"])
s.add_dependency(%q<activerecord-oracle_enhanced-adapter>, [">= 0"])
- s.add_dependency(%q<coffee-script>, [">= 0"])
- s.add_dependency(%q<therubyrhino>, [">= 0"])
+ s.add_dependency(%q<coffee-script>, ["~> 2.2.0"])
+ s.add_dependency(%q<therubyrhino>, ["~> 1.73.1"])
+ s.add_dependency(%q<pry>, [">= 0"])
end
end

0 comments on commit c90b048

Please sign in to comment.